<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>

<body>
    <div layout:fragment="main">
        <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
            <div class="container-fluid">
                <div class="header-body">
                    <!-- Card stats -->
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                            <span class="h2 font-weight-bold mb-0">Sidang</span>
                                        </div>
                                        <div class="col-auto">
                                            <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                                <i class="fas fa-user-astronaut"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <div class="container-fluid mt--7">
            <!-- Table -->
            <div class="row">
                <div class="col">
                    <div class="card shadow">
                        <div class="card-header border-0">
                            <div class="row align-items-center">
                                <div class="col">
                                    <h3 class="mb-0">Data List</h3>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <form method="get">
                                <div class="row">
                                    <div class="col-md-12 col-xs-12">
                                        <div class="form-group">
                                            <label>Tahun Akademik</label>
                                            <select name="tahunAkademik" required class="form-control">
                                                <option value="" selected disabled>-- Select One --</option>
                                                <option th:each="tahun : ${tahun}"
                                                    th:selected="(${tahun} == *{selectedTahun})"
                                                    th:text="${tahun.namaTahunAkademik}" th:value="${tahun.id}">
                                                </option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 text-center">
                                        <button type="submit" class="btn btn-primary"><i class="fas fa-list"></i>
                                            Show</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="card-body" th:if="${selectedTahun != null}">
                            <div class="card shadow">
                                <div class="card-header border-0">
                                    <h3 class="mb-0">List</h3>
                                </div>
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <thead class="thead-light">
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">NIM</th>
                                                <th scope="col">Nama</th>
                                                <th scope="col">Status</th>
                                                <th>Action</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr th:each="data,row : ${listSidang}">
                                                <td th:text="${(row.index + 1)}">1</td>
                                                <td th:text="${data.seminar.note.mahasiswa.nim}">12121</td>
                                                <td th:text="${data.seminar.note.mahasiswa.nama}">Muhammmad Rafizki</td>
                                                <td>
                                                    <button class="btn btn-primary btn-sm"
                                                        th:if="${data.akademik == data.akademik.APPROVED && data.statusSidang == data.akademik.APPROVED && data.publish == data.publish.NONAKTIF }">Menunggu
                                                        Penilaian & Publish Nilai</button>
                                                    <button class="btn btn-success btn-sm" data-toggle="modal"
                                                        aria-haspopup="true"
                                                        th:data-target="${'#modal-publish1'+data.id}"
                                                        th:if="${data.akademik == data.akademik.APPROVED && data.statusSidang == data.akademik.APPROVED && data.publish == data.publish.AKTIF && data.nilai >= 70}">LULUS</button>
                                                    <button class="btn btn-danger btn-sm" data-toggle="modal"
                                                        aria-haspopup="true"
                                                        th:data-target="${'#modal-publish1'+data.id}"
                                                        th:if="${data.akademik == data.akademik.APPROVED && data.statusSidang == data.akademik.APPROVED && data.publish == data.publish.AKTIF && data.nilai < 70}">TIDAK
                                                        LULUS</button>
                                                </td>
                                                <td>
                                                    <a class="btn btn-primary btn-outline-success btn-sm"
                                                        th:href="@{/graduation/sidang/dosen/penilaian(sidang = ${data.id})}"
                                                        th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '01'}">
                                                        <i class="fas fa-pencil-alt"></i> Penilaian
                                                    </a>

                                                    <a class="btn btn-primary btn-outline-success btn-sm"
                                                        th:href="@{/graduation/sidang/dosen/penilaianpasca(sidang = ${data.id})}"
                                                        th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                        <i class="fas fa-pencil-alt"></i> Penilaian
                                                    </a>
                                                    <button type="button"
                                                        class="btn btn-info btn-outline-info btn-sm dropdown-toggle fas fa-folder"
                                                        data-toggle="dropdown" aria-haspopup="true"
                                                        aria-expanded="false"> Lihat File</button>
                                                    <div class="dropdown-menu"
                                                        th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '01'}">
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/sidang/(sidang=${data.id})}">Draft
                                                            Sidang</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/pendaftaran/(sidang=${data.id})}">Form
                                                            Pendaftaran</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/ijazah/(sidang=${data.id})}">Ijazah</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/ktp/(sidang=${data.id})}">Ktp</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/bimbinganSidang/(sidang=${data.id})}">Kartu
                                                            Bimbingan</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/turnitin/(sidang=${data.id})}">Hasil
                                                            Uji Plagiarisme</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/berita/(sidang=${data.id})}">Berita
                                                            Acara Sempro</a>
                                                    </div>

                                                    <div class="dropdown-menu"
                                                        th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/sidang/(sidang=${data.id})}">Draft
                                                            Sidang</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/pendaftaran/(sidang=${data.id})}">Form
                                                            Pendaftaran</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/persetujuan/(sidang=${data.id})}">Persetujuan
                                                            Dospem</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/ktp/(sidang=${data.id})}">CV</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/bimbinganSidang/(sidang=${data.id})}">Kehadiran
                                                            Sidang</a>
                                                        <a class="dropdown-item" target="_blank"
                                                            th:href="@{/upload/{sidang}/turnitin/(sidang=${data.id})}">Hasil
                                                            Uji Plagiarisme</a>
                                                    </div>
                                                    <button
                                                        th:if="${data.ketuaPenguji == dosen && data.publish == data.publish.NONAKTIF}"
                                                        type="button"
                                                        class="btn btn-info btn-outline-primary btn-sm fas fa-share"
                                                        data-toggle="modal" aria-haspopup="true"
                                                        th:data-target="${'#modal-publish'+data.id}"> Publish</button>

                                                    <div class="modal fade bd-example-modal-lg fade"
                                                        th:id="${'modal-publish1'+data.id}"
                                                        th:if="${data.ketuaPenguji != null && data.tanggalUjian != null}"
                                                        role="dialog" aria-labelledby="exampleModalLabel"
                                                        aria-hidden="true">
                                                        <div class="modal-dialog modal-lg" role="document">
                                                            <div class="modal-content">
                                                                <div class="modal-header">
                                                                    <h5 class="modal-title">Detail Nilai</h5>
                                                                    <!--                                                            <a th:href="@{/graduation/sidang/admin/score(sidang = ${data.id})}" class="btn btn-sm btn-default"><i class="fas fa-edit"></i></i> Edit Nilai</a>-->
                                                                </div>
                                                                <div class="modal-body">
                                                                    <link
                                                                        href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
                                                                        rel="stylesheet" />

                                                                    <div class="page-content container">
                                                                        <div class="page-header text-blue-d2">
                                                                            <h1 class="page-title text-secondary-d1">
                                                                                Mahasiswa
                                                                                <small class="page-info">
                                                                                    <i
                                                                                        class="fa fa-angle-double-right text-80"></i>
                                                                                    <span
                                                                                        th:text="${data.seminar.note.mahasiswa.nama + ' ( ' + data.seminar.note.mahasiswa.nim + ' ) '}"></span>
                                                                                </small>
                                                                            </h1>
                                                                        </div>

                                                                        <div class="container px-0">
                                                                            <div class="row mt-4">
                                                                                <div
                                                                                    class="col-12 col-lg-10 offset-lg-1">
                                                                                    <div class="row">
                                                                                        <div class="col-12">
                                                                                            <b>Judul Skripsi/Tesis</b>
                                                                                            <p class="text-sm"
                                                                                                style="white-space: pre-wrap"
                                                                                                th:text="${data.judulTugasAkhir}">
                                                                                                Far far away, behind the
                                                                                                word mountains, far from
                                                                                                the countries Vokalia
                                                                                                and Consonantia, there
                                                                                                live the blind texts.
                                                                                                Separated they live in
                                                                                                Bookmarksgrove right at
                                                                                                the coast of the
                                                                                                Semantics, a large
                                                                                                language ocean.</p>
                                                                                            <b>Judul Inggris
                                                                                                Skripsi/Tesis</b>
                                                                                            <p class="text-sm"
                                                                                                style="white-space: pre-wrap"
                                                                                                th:text="${data.judulInggris}">
                                                                                                A small river named
                                                                                                Duden flows by their
                                                                                                place and supplies it
                                                                                                with the necessary
                                                                                                regelialia. It is a
                                                                                                paradisematic country,
                                                                                                in which roasted parts
                                                                                                of sentences fly into
                                                                                                your mouth.</p>
                                                                                        </div>
                                                                                    </div>
                                                                                    <!-- .row -->

                                                                                    <hr
                                                                                        class="row brc-default-l1 mx-n1 mb-4" />

                                                                                    <div class="row">
                                                                                        <div class="col-sm-6">
                                                                                            <div>
                                                                                                <span
                                                                                                    class="text-sm text-grey-m2 align-middle">Tanggal
                                                                                                    :</span>
                                                                                                <span
                                                                                                    class="text-600 text-110 text-blue align-middle"><strong
                                                                                                        th:text="${' ' + #temporals.day(data.tanggalUjian) + ' - ' + #temporals.monthNameShort(data.tanggalUjian) + ' - ' + #temporals.year(data.tanggalUjian)}"></strong></span>
                                                                                            </div>
                                                                                            <div class="text-grey-m2">
                                                                                                <div class="my-1">
                                                                                                    <span
                                                                                                        class="text-sm text-grey-m2 align-middle">Jam
                                                                                                        :</span>
                                                                                                    <span
                                                                                                        class="text-600 text-110 text-blue align-middle"><strong
                                                                                                            th:text="${data.jamMulai + ' - ' + data.jamSelesai}"></strong></span>
                                                                                                </div>
                                                                                                <div class="my-1">
                                                                                                    <span
                                                                                                        class="text-sm text-grey-m2 align-middle">Ruangan
                                                                                                        :</span>
                                                                                                    <span
                                                                                                        class="text-600 text-110 text-blue align-middle"><strong
                                                                                                            th:text="${data.ruangan.namaRuangan}"></strong></span>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <!-- /.col -->

                                                                                        <div
                                                                                            class="text-95 col-sm-6 align-self-start d-sm-flex justify-content-end">
                                                                                            <hr class="d-sm-none" />
                                                                                            <div class="text-grey-m2">
                                                                                                <div
                                                                                                    class="mt-1 mb-2 text-secondary-m1 text-600 text-125">
                                                                                                    Detail Dosen
                                                                                                </div>

                                                                                                <div class="my-2"><i
                                                                                                        class="fa fa-circle text-blue-m2 text-xs mr-1"></i>
                                                                                                    <span
                                                                                                        class="text-600 text-90">Ketua
                                                                                                        :</span> <span
                                                                                                        class="text-600 text-110 text-blue align-middle"
                                                                                                        th:text="${data.ketuaPenguji.karyawan.namaKaryawan}">asdasdasd</span>
                                                                                                </div>

                                                                                                <div class="my-2"><i
                                                                                                        class="fa fa-circle text-blue-m2 text-xs mr-1"></i>
                                                                                                    <span
                                                                                                        class="text-600 text-90">Dosen
                                                                                                        Penguji :</span>
                                                                                                    <span
                                                                                                        class="text-600 text-110 text-blue align-middle"
                                                                                                        th:text="${data.dosenPenguji.karyawan.namaKaryawan}">asdasdasd</span>
                                                                                                </div>

                                                                                                <div class="my-2"><i
                                                                                                        class="fa fa-circle text-blue-m2 text-xs mr-1"></i>
                                                                                                    <span
                                                                                                        class="text-600 text-90">Pembimbing
                                                                                                        1:</span> <span
                                                                                                        class="text-600 text-110 text-blue align-middle"
                                                                                                        th:text="${data.pembimbing.karyawan.namaKaryawan}">asdasdasd</span>
                                                                                                </div>

                                                                                                <div th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '02'}"
                                                                                                    class="my-2"><i
                                                                                                        class="fa fa-circle text-blue-m2 text-xs mr-1"></i>
                                                                                                    <span
                                                                                                        class="text-600 text-90">Pembimbing
                                                                                                        2 :</span> <span
                                                                                                        class="text-600 text-110 text-blue align-middle"
                                                                                                        th:text="${data.pembimbing2.karyawan.namaKaryawan}">asdasdasd</span>
                                                                                                </div>


                                                                                                <div th:if="${data.publish.NONAKTIF == data.publish}"
                                                                                                    class="my-2"><i
                                                                                                        class="fa fa-circle text-blue-m2 text-xs mr-1"></i>
                                                                                                    <span
                                                                                                        class="text-600 text-90">Status:</span>
                                                                                                    <span
                                                                                                        class="badge badge-warning badge-pill px-25">Belum
                                                                                                        Publish</span>
                                                                                                </div>
                                                                                                <div th:if="${data.publish.AKTIF == data.publish && data.nilai >= 70}"
                                                                                                    class="my-2"><i
                                                                                                        class="fa fa-circle text-blue-m2 text-xs mr-1"></i>
                                                                                                    <span
                                                                                                        class="text-600 text-90">Status:</span>
                                                                                                    <span
                                                                                                        class="badge badge-success badge-pill px-25">Lulus</span>
                                                                                                </div>
                                                                                                <div th:if="${data.publish.AKTIF == data.publish && data.nilai < 70}"
                                                                                                    class="my-2"><i
                                                                                                        class="fa fa-circle text-blue-m2 text-xs mr-1"></i>
                                                                                                    <span
                                                                                                        class="text-600 text-90">Status:</span>
                                                                                                    <span
                                                                                                        class="badge badge-danger badge-pill px-25">Tidak
                                                                                                        Lulus</span>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <!-- /.col -->
                                                                                    </div>

                                                                                    <div class="mt-4">
                                                                                        <div
                                                                                            class="row border-b-2 brc-default-l2">
                                                                                        </div>
                                                                                        <!-- or use a table instead -->

                                                                                        <div class="table-responsive">
                                                                                            <table
                                                                                                class="table table-striped table-borderless border-0 border-b-2 brc-default-l1">
                                                                                                <thead
                                                                                                    class="bg-none bgc-default-tp1">
                                                                                                    <tr
                                                                                                        class="text-black">
                                                                                                        <th
                                                                                                            class="opacity-2">
                                                                                                            #</th>
                                                                                                        <th>Komponen
                                                                                                        </th>
                                                                                                        <th>Ketua</th>
                                                                                                        <th>Penguji</th>
                                                                                                        <th>Pembimbing
                                                                                                        </th>
                                                                                                        <th
                                                                                                            th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                                                                            Pembimbing 2
                                                                                                        </th>
                                                                                                    </tr>
                                                                                                </thead>

                                                                                                <tbody
                                                                                                    class="text-95 text-secondary-d3"
                                                                                                    th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '01'}">
                                                                                                    <tr></tr>
                                                                                                    <tr>
                                                                                                        <td>1</td>
                                                                                                        <td>Pembahasan
                                                                                                        </td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.ka}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.ua}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pa}">
                                                                                                            90.00</td>
                                                                                                    </tr>

                                                                                                    <tr>
                                                                                                        <td>2</td>
                                                                                                        <td>Penguasaan
                                                                                                            Materi</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.kb}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.ub}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pb}">
                                                                                                            90.00</td>
                                                                                                    </tr>

                                                                                                    <tr>
                                                                                                        <td>3</td>
                                                                                                        <td>Teknik
                                                                                                            Penulisan
                                                                                                        </td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.kc}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.uc}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pc}">
                                                                                                            90.00</td>
                                                                                                    </tr>

                                                                                                    <tr>
                                                                                                        <td>4</td>
                                                                                                        <td>Presentasi
                                                                                                            dan
                                                                                                            Pemaparan
                                                                                                        </td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.kd}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.ud}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pd}">
                                                                                                            90.00</td>
                                                                                                    </tr>
                                                                                                </tbody>

                                                                                                <tbody
                                                                                                    class="text-95 text-secondary-d3"
                                                                                                    th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                                                                    <tr></tr>
                                                                                                    <tr>
                                                                                                        <td>1</td>
                                                                                                        <td>Presentasi
                                                                                                        </td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.ka}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.ua}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pa}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pa2}">
                                                                                                            90.00</td>
                                                                                                    </tr>

                                                                                                    <tr>
                                                                                                        <td>2</td>
                                                                                                        <td>Penguasaan
                                                                                                            Materi dan
                                                                                                            Metodologi
                                                                                                        </td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.kb}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.ub}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pb}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pb2}">
                                                                                                            90.00</td>
                                                                                                    </tr>

                                                                                                    <tr>
                                                                                                        <td>3</td>
                                                                                                        <td>Penulisandan
                                                                                                            Pengembangan
                                                                                                            Materi
                                                                                                            Metodologi
                                                                                                        </td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.kc}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.uc}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pc}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pc2}">
                                                                                                            90.00</td>
                                                                                                    </tr>

                                                                                                    <tr>
                                                                                                        <td>4</td>
                                                                                                        <td>Argumentasi
                                                                                                        </td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.kd}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.ud}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pd}">
                                                                                                            90.00</td>
                                                                                                        <td align="center"
                                                                                                            th:text="${data.pd2}">
                                                                                                            90.00</td>
                                                                                                    </tr>
                                                                                                </tbody>
                                                                                            </table>
                                                                                        </div>


                                                                                        <div class="row mt-3">
                                                                                            <div
                                                                                                class="col-12 col-sm-7 text-grey-d2 text-95 mt-2 mt-lg-0">

                                                                                            </div>

                                                                                            <div
                                                                                                class="col-12 col-sm-5 text-grey text-90 order-first order-sm-last">
                                                                                                <div class="row my-2">
                                                                                                    <div
                                                                                                        class="col-7 text-right">
                                                                                                        Total :
                                                                                                    </div>
                                                                                                    <div class="col-5">
                                                                                                        <span
                                                                                                            class="text-120 text-secondary-d1"><strong
                                                                                                                th:text="${data.nilai}"></strong></span>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>

                                                                                        <hr />
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="modal-footer">
                                                                    <!--<button type="button" class="btn btn-secondary" data-dismiss="modal">tutup</button>
                                                            <button type="button" class="btn btn-primary">Publish</button>-->
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="modal fade bd-example-modal-lg fade"
                                                        th:id="${'modal-publish'+data.id}" role="dialog"
                                                        aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                        <div class="modal-dialog modal-lg" role="document">
                                                            <div class="modal-content">
                                                                <div class="modal-header">
                                                                    <h5 class="modal-title" id="exampleModalLabel">
                                                                        Detail Nilai</h5>
                                                                    <button type="button" class="close"
                                                                        data-dismiss="modal" aria-label="Close">
                                                                        <span aria-hidden="true">&times;</span>
                                                                    </button>
                                                                </div>
                                                                <div class="modal-body">
                                                                    <div class="alert alert-danger alert-with-icon"
                                                                        th:id="${data.id+'-alertSave'}"
                                                                        style="display: none">
                                                                        <button type="button" aria-hidden="true"
                                                                            class="close" data-dismiss="alert"
                                                                            aria-label="Close">
                                                                            <i class="fas fa-warning"></i>
                                                                        </button>
                                                                        <span data-notify="icon"
                                                                            class="tim-icons icon-trophy"></span>
                                                                        <span id="textAlert"><b> Maaf! - </b>Nilai Belum
                                                                            Lengkap.</span>
                                                                    </div>
                                                                    <table class="table table-bordered table-hover">
                                                                        <thead class="thead-light">
                                                                            <tr class="table-primary"
                                                                                th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '01'}">
                                                                                <th>
                                                                                    <center><b>Ketua Penguji</b>
                                                                                    </center>
                                                                                </th>
                                                                                <th>
                                                                                    <center><b>Penguji</b></center>
                                                                                </th>
                                                                                <th>
                                                                                    <center><b>Pembimbing 1</b></center>
                                                                                </th>

                                                                            </tr>
                                                                            <tr class="table-primary"
                                                                                th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                                                <th>
                                                                                    <center><b>Ketua Penguji</b>
                                                                                    </center>
                                                                                </th>
                                                                                <th>
                                                                                    <center><b>Penguji</b></center>
                                                                                </th>
                                                                                <th>
                                                                                    <center><b>Pembimbing 1</b></center>
                                                                                </th>
                                                                                <th>
                                                                                    <center><b>Pembimbing 2</b></center>
                                                                                </th>

                                                                            </tr>
                                                                        </thead>
                                                                        <tbody class="table-primary"
                                                                            th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '01'}">
                                                                            <tr class="table-primary">
                                                                                <td align="center" th:text="${data.ka}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.ua}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.pa}">
                                                                                    90.00</td>
                                                                            </tr>
                                                                            <tr class="table-primary">
                                                                                <td align="center" th:text="${data.kb}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.ub}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.pb}">
                                                                                    90.00</td>
                                                                            </tr>
                                                                            <tr class="table-primary">
                                                                                <td align="center" th:text="${data.kc}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.uc}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.pc}">
                                                                                    90.00</td>
                                                                            </tr>
                                                                            <tr class="table-primary">
                                                                                <td align="center" th:text="${data.kd}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.ud}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.pd}">
                                                                                    90.00</td>
                                                                            </tr>
                                                                            <tr class="table-primary"
                                                                                th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '01'}">
                                                                                <td align="center"><b>Total</b></td>
                                                                                <td align="center"><b
                                                                                        th:text="${data.nilai}">90.00</b>
                                                                                </td>
                                                                                <td align="center">
                                                                                    <h3 th:if="${data.nilai >= 70}">
                                                                                        <span
                                                                                            class="badge badge-success">LULUS</span>
                                                                                    </h3>
                                                                                    <h3 th:if="${data.nilai < 70}"><span
                                                                                            class="badge badge-success">TIDAK
                                                                                            LULUS</span></h3>
                                                                                </td>
                                                                            </tr>
                                                                        </tbody>
                                                                        <tbody class="table-primary"
                                                                            th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                                            <tr class="table-primary">
                                                                                <td align="center" th:text="${data.ka}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.ua}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.pa}">
                                                                                    90.00</td>
                                                                                <td align="center"
                                                                                    th:text="${data.pa2}">90.00</td>
                                                                            </tr>
                                                                            <tr class="table-primary">
                                                                                <td align="center" th:text="${data.kb}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.ub}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.pb}">
                                                                                    90.00</td>
                                                                                <td align="center"
                                                                                    th:text="${data.pb2}">90.00</td>
                                                                            </tr>
                                                                            <tr class="table-primary">
                                                                                <td align="center" th:text="${data.kc}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.uc}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.pc}">
                                                                                    90.00</td>
                                                                                <td align="center"
                                                                                    th:text="${data.pc2}">90.00</td>
                                                                            </tr>
                                                                            <tr class="table-primary">
                                                                                <td align="center" th:text="${data.kd}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.ud}">
                                                                                    90.00</td>
                                                                                <td align="center" th:text="${data.pd}">
                                                                                    90.00</td>
                                                                                <td align="center"
                                                                                    th:text="${data.pd2}">90.00</td>
                                                                            </tr>
                                                                            <tr class="table-primary"
                                                                                th:if="${data.seminar.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                                                <td align="center"><b>Total</b></td>
                                                                                <td align="center" colspan="2"><b
                                                                                        th:text="${data.nilai}">90.00</b>
                                                                                </td>
                                                                                <td align="center">
                                                                                    <h3 th:if="${data.nilai >= 70}">
                                                                                        <span
                                                                                            class="badge badge-success">LULUS</span>
                                                                                    </h3>
                                                                                    <h3 th:if="${data.nilai < 70}"><span
                                                                                            class="badge badge-success">TIDAK
                                                                                            LULUS</span></h3>
                                                                                </td>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                                <div class="modal-footer">
                                                                    <input type="hidden" id="sidangId"
                                                                        th:value="${data.id}">
                                                                    <button type="button" class="btn btn-secondary"
                                                                        data-dismiss="modal">tutup</button>
                                                                    <button type="submit" th:id="${data.id}"
                                                                        class="btn btn-primary publish-data">Publish</button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </td>
                                                <td>
                                                    <button class="btn btn-success btn-sm"
                                                        th:if="${data.akademik == data.akademik.APPROVED && data.statusSidang == data.akademik.APPROVED && data.publish == data.publish.AKTIF && data.nilai >= 70}">
                                                        <a class="text-white"
                                                            th:href="@{/suratTugas/sidang/pdf(sidang = ${data.id})}">Cetak
                                                            Surat Tugas</a>
                                                    </button>
                                                </td>

                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <center>
                                    <!--<div class="card-footer">

                                    <nav aria-label="Page navigation example">
                                        <ul class="pagination" sd:pagination="full">
                                            <li class="page-item">
                                                <a class="page-link" href="#" aria-label="Previous">
                                                    <i class="fa fa-angle-left"></i>
                                                    <span class="sr-only">Previous</span>
                                                </a>
                                            </li>
                                            <li class="page-item"><a class="page-link" href="#">1</a></li>

                                            <li class="page-item">
                                                <a class="page-link" href="#" aria-label="Next">
                                                    <i class="fa fa-angle-right"></i>
                                                    <span class="sr-only">Next</span>
                                                </a>
                                            </li>
                                        </ul>
                                    </nav>


                                </div>-->
                                </center>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <!-- Dark table -->

        </div>
    </div>
</body>

</html>
<script>
    $(".publish-data").click(function (e) {
        var id = this.id;
        var token = $("input[name='_csrf']").val();
        var url = "/graduation/sidang/dosen/publish";
        e.preventDefault();

        $.ajax({
            url: url + '?sidang=' + id,
            contentType: "application/json;charset=UTF-8",
            headers: {
                "X-CSRF-TOKEN": token
            },
            method: 'post',
            dataType: 'JSON',
            data: JSON.stringify({
                "id": id,
            }),
            error: function (data) {
                if (data.responseText == "lengkapi") {
                    document.getElementById(id + '-alertSave').style.display = "block";
                    setTimeout(function () {
                        document.getElementById(id + 'alertSave').style.display = "none";
                    }, 5000);
                }

                if (data.responseText == "berhasil") {
                    window.location.reload();
                }


            }
        })

    });
</script>